Raritan PX2/PX3 JSON-RPC API: display::DisplayControl_1_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
display::DisplayControl_1_0_1 Interface Reference

Interface to control the device's front panel display. More...

`import"DisplayControl.idl";`

## Classes
struct | DefaultViewItem
| Representation of a possible default view. More...
struct | Info
| Collected display meta information. More...

## Public Member Functions
vector< DefaultViewItem > | getAvailableDefaultViews ()
| Get available default views. More...
string | getDefaultView ()
| Get the currently active default view. More...
int | setDefaultView (in string id)
| Set the active default view. More...
Info | getInfo ()
| Retrieve display's meta information. More...
void | showSmiley (in boolean on, in boolean happy, in string msg)
| Show smiley on display. More...

## Public Attributes
constant int | SUCCESS = 0
| Error codes. More...
constant int | ERR_INVALID_VALUE = 1
| Invalid argument.
valueobject | DefaultViewChangedEvent: event::UserEvent { DefaultViewItem newView
| Event: The default view was changed. More...

## Detailed Description

Interface to control the device's front panel display.

## Member Function Documentation

## ◆ getAvailableDefaultViews()

vector<DefaultViewItem> display::DisplayControl_1_0_1::getAvailableDefaultViews | ( |  | ) |

Get available default views.

This returns all views that can be used as default views on the device display.

Returns
  Possible default views, or empty list if the default view can not be configured for the device's display

## ◆ getDefaultView()

string display::DisplayControl_1_0_1::getDefaultView | ( |  | ) |

Get the currently active default view.

Returns
  View ID of current default view. If the device doesn't allow configuration of the default view, an empty string is returned.

## ◆ getInfo()

Info display::DisplayControl_1_0_1::getInfo | ( |  | ) |

Retrieve display's meta information.

Returns
  Display information

## ◆ setDefaultView()

int display::DisplayControl_1_0_1::setDefaultView | ( | in string | id | ) |

Set the active default view.

Parameters

  id | View ID of new default view

Returns
  0 on success
  1 if id is not part of the key set returned by getAvailableDefaultViews

## ◆ showSmiley()

void display::DisplayControl_1_0_1::showSmiley | ( | in boolean | on,
|  | in boolean | happy,
|  | in string | msg
| ) |  |

Show smiley on display.

Parameters

  on | `true` to turn on smiley
  happy | `true` to show happy smiley,`false` to show sad smiley
  msg | String for message

## Member Data Documentation

## ◆ DefaultViewChangedEvent

valueobject display::DisplayControl_1_0_1::DefaultViewChangedEvent

Event: The default view was changed.

New default view

## ◆ SUCCESS

constant int display::DisplayControl_1_0_1::SUCCESS = 0

Error codes.

No error

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/DisplayControl.idl